## ros-galactic-quality-of-service-demo-cpp 0.14.4

=== debian/changelog ===
ros-galactic-quality-of-service-demo-cpp (0.14.4-1focal) focal; urgency=high

  * Initialize message correctly (#593 <https://github.com/ros2/demos/issues/593>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Dec 2022 08:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.14.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.14.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.12.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.12.0-1focal) focal; urgency=high

  * Add demo of how to use qos overrides (#474 <https://github.com/ros2/demos/issues/474>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.11.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.10.1-1focal) focal; urgency=high

  * Update comments in quality_of_service_demo_cpp message_lost_talker and message_lost_listener (#458 <https://github.com/ros2/demos/issues/458>)
  * Add message lost status event demo using rclcpp (#453 <https://github.com/ros2/demos/issues/453>)
  * Contributors: Ivan Santiago Paunovic

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 21 Sep 2020 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.10.0-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 17 Jun 2020 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.9.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.9.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.9.1-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.9.0-1focal) focal; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Contributors: Dirk Thomas, Jaison Titus

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.8.4-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.8.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 11 Nov 2019 08:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.8.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Fri, 08 Nov 2019 08:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.8.1-1focal) focal; urgency=high

  * get_actual_qos() now returns a rclcpp::QoS (#395 <https://github.com/ros2/demos/issues/395>)
  * Contributors: William Woodall

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.8.0-1focal) focal; urgency=high

  * Add interactive quality of service demos (#371 <https://github.com/ros2/demos/issues/371>)
  * Contributors: M. M

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.7.6-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 May 2019 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.7.5-1focal) focal; urgency=high

  * Be explicit about reliability in Lifespan demo, to depend less on defaults (#350 <https://github.com/ros2/demos/issues/350>)
  * Contributors: Emerson Knapp

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-quality-of-service-demo-cpp (0.7.4-1focal) focal; urgency=high

  * rclcpp QoS Demos (Liveliness, Lifespan, Deadline) (#320 <https://github.com/ros2/demos/issues/320> and #338 <https://github.com/ros2/demos/issues/338>)
  * Contributors: Emerson Knapp

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 20 May 2019 07:00:00 -0000
