=== debian/control ===
Source: ros-galactic-quality-of-service-demo-cpp
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-example-interfaces, ros-galactic-launch <!nocheck>, ros-galactic-launch-testing <!nocheck>, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-implementation-cmake, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-quality-of-service-demo-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-example-interfaces, ros-galactic-launch-ros, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: C++ Demo applications for Quality of Service features
